org.apache.cassandra.db.commitlog

## Class ReplayPosition

- java.lang.Object
- - org.apache.cassandra.db.commitlog.ReplayPosition

All Implemented Interfaces:
  java.lang.Comparable<ReplayPosition>

Direct Known Subclasses:
  Memtable.LastReplayPosition

    public class ReplayPosition
    extends java.lang.Object
    implements java.lang.Comparable<ReplayPosition>

### Nested Class Summary

Nested Classes
`static class` `ReplayPosition.ReplayFilter` A filter of known safe-to-discard commit log replay positions, based on the range covered by on disk sstables and those prior to the most recent truncation record
`static class` `ReplayPosition.ReplayPositionSerializer`

### Field Summary

Fields
`static ReplayPosition` `NONE`
`int` `position`
`long` `segment`
`static ReplayPosition.ReplayPositionSerializer` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`ReplayPosition(long segment, int position)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ReplayPosition` `clone()`
`int` `compareTo(ReplayPosition that)`
`boolean` `equals(java.lang.Object o)`
`static ReplayPosition` `firstNotCovered(java.lang.Iterable<ReplayPosition.ReplayFilter> ranges)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static final ReplayPosition.ReplayPositionSerializer serializer

#### NONE

    public static final ReplayPosition NONE

#### segment

    public final long segment

#### position

    public final int position

### Constructor Detail

#### ReplayPosition

    public ReplayPosition(long segment,
                          int position)

### Method Detail

#### firstNotCovered

    public static ReplayPosition firstNotCovered(java.lang.Iterable<ReplayPosition.ReplayFilter> ranges)

#### compareTo

    public int compareTo(ReplayPosition that)

Specified by:
  `compareTo` in interface `java.lang.Comparable<ReplayPosition>`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### clone

    public ReplayPosition clone()

Overrides:
  `clone` in class `java.lang.Object`